1.1

1.1

get /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

List Auto-Scaling Group notifications.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
queryuser_ids
optional
User ID list
Example : ['570907805e5447be84b618450ef52o0t']
any of [array[string], null][]
querynotification_state
optional
Auto-Scaling Group notification state
Example : ACTIVE
any of [string, null][]
querynotification_event
optional
Auto-Scaling Group notification event
Example : SCALE_OUT
any of [string, null][]
queryoffset
optional
Index of where to start in the list
Example : 0
any of [integer, null]0
querylimit
optional
Page size of items
Example : 20
any of [integer, null]20
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc

Responses

HTTP CodeDescriptionSchema
200OKAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}